/* PlotMap`s menu structures */

#define COLOR_WIDTH 48
#define COLOR_HEIGHT 10


static struct Image color_image[] =
{
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x0000, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x0001, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x0002, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x0003, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x0004, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x0005, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x0006, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x0007, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x0008, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x0009, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x000a, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x000b, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x000c, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x000d, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x000e, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x000f, NULL }
};

struct NewMenu menu_data[] =
{
   {NM_TITLE, "Project",            NULL, 0, 0, NULL},
   { NM_ITEM, "Help...",            "H",  0, 0, NULL},
   { NM_ITEM, NM_BARLABEL,          NULL, 0, 0, NULL},
   { NM_ITEM, "Save map...",        "S",  0, 0, NULL},
   { NM_ITEM, "Save configuration", NULL, 0, 0, NULL},
   { NM_ITEM, NM_BARLABEL,          NULL, 0, 0, NULL},
   { NM_ITEM, "Print map...",       NULL, 0, 0, NULL},
   { NM_ITEM, NM_BARLABEL,          NULL, 0, 0, NULL},
   { NM_ITEM, "About...",           NULL, 0, 0, NULL},
   { NM_ITEM, NM_BARLABEL,          NULL, 0, 0, NULL},
   { NM_ITEM, "Quit",               "Q",  0, 0, NULL},
   {NM_TITLE, "Preferences",        NULL, 0, 0, NULL},
   { NM_ITEM, "Vert. factor  1.00", NULL, 0, 0, NULL},
   {  NM_SUB, "Set...",             NULL, 0, 0, NULL},
   {  NM_SUB, "Use default  1.00",  NULL, 0, 0, NULL},
   { NM_ITEM, NM_BARLABEL,          NULL, 0, 0, NULL},
   { NM_ITEM, "Cls before draw",    NULL, CHECKIT | MENUTOGGLE, 0, NULL},
   { NM_ITEM, NM_BARLABEL,          NULL, 0, 0, NULL},
   { NM_ITEM, "Coord. window",      "C",  CHECKIT | MENUTOGGLE, 0, NULL},
   { NM_ITEM, "Coord. mouse-X/Y",   NULL, CHECKIT | MENUTOGGLE, 0, NULL},
   { NM_ITEM, "Coord. degrees",     NULL, CHECKIT | MENUTOGGLE, 0, NULL},
   { NM_ITEM, NM_BARLABEL,          NULL, 0, 0, NULL},
   { NM_ITEM, "Coastlines",         NULL, CHECKIT | MENUTOGGLE, 0, NULL},
   { NM_ITEM, "Islands",            NULL, CHECKIT | MENUTOGGLE, 0, NULL},
   { NM_ITEM, "Countries",          NULL, CHECKIT | MENUTOGGLE, 0, NULL},
   { NM_ITEM, "States",             NULL, CHECKIT | MENUTOGGLE, 0, NULL},
   { NM_ITEM, "Lakes",              NULL, CHECKIT | MENUTOGGLE, 0, NULL},
   { NM_ITEM, "Rivers",             NULL, CHECKIT | MENUTOGGLE, 0, NULL},
   { NM_ITEM, NM_BARLABEL,          NULL, 0, 0, NULL},
   { NM_ITEM, "Detail level",       NULL, 0, 0, NULL},
   {  NM_SUB, "High",               NULL, CHECKIT, ~(1<<0), NULL},
   {  NM_SUB, "Medium high",        NULL, CHECKIT, ~(1<<1), NULL},
   {  NM_SUB, "Medium",             NULL, CHECKIT, ~(1<<2), NULL},
   {  NM_SUB, "Medium low",         NULL, CHECKIT, ~(1<<3), NULL},
   {  NM_SUB, "Low",                NULL, CHECKIT, ~(1<<4), NULL},
   {  NM_SUB, NM_BARLABEL,          NULL, 0, 0, NULL},
   {  NM_SUB, "Auto high",          NULL, CHECKIT, ~(1<<6), NULL},
   {  NM_SUB, "Auto medium",        NULL, CHECKIT, ~(1<<7), NULL},
   {  NM_SUB, "Auto low",           NULL, CHECKIT, ~(1<<8), NULL},
   {NM_TITLE, "Colors",             NULL, 0, 0, NULL},
   { NM_ITEM, "Palette",            "P",  0, 0, NULL},
   { NM_ITEM, NM_BARLABEL,          NULL, 0, 0, NULL},
   { NM_ITEM, "Background",         NULL, 0, 0, NULL},
   {  IM_SUB, (UBYTE *)(&color_image[0]), NULL, CHECKIT, ~(1<<0), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[1]), NULL, CHECKIT, ~(1<<1), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[2]), NULL, CHECKIT, ~(1<<2), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[3]), NULL, CHECKIT, ~(1<<3), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[4]), NULL, CHECKIT, ~(1<<4), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[5]), NULL, CHECKIT, ~(1<<5), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[6]), NULL, CHECKIT, ~(1<<6), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[7]), NULL, CHECKIT, ~(1<<7), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[8]), NULL, CHECKIT, ~(1<<8), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[9]), NULL, CHECKIT, ~(1<<9), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[10]), NULL, CHECKIT, ~(1<<10), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[11]), NULL, CHECKIT, ~(1<<11), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[12]), NULL, CHECKIT, ~(1<<12), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[13]), NULL, CHECKIT, ~(1<<13), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[14]), NULL, CHECKIT, ~(1<<14), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[15]), NULL, CHECKIT, ~(1<<15), NULL},
   { NM_ITEM, "Oceans",         NULL, 0, 0, NULL},
   {  IM_SUB, (UBYTE *)(&color_image[0]), NULL, CHECKIT, ~(1<<0), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[1]), NULL, CHECKIT, ~(1<<1), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[2]), NULL, CHECKIT, ~(1<<2), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[3]), NULL, CHECKIT, ~(1<<3), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[4]), NULL, CHECKIT, ~(1<<4), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[5]), NULL, CHECKIT, ~(1<<5), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[6]), NULL, CHECKIT, ~(1<<6), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[7]), NULL, CHECKIT, ~(1<<7), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[8]), NULL, CHECKIT, ~(1<<8), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[9]), NULL, CHECKIT, ~(1<<9), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[10]), NULL, CHECKIT, ~(1<<10), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[11]), NULL, CHECKIT, ~(1<<11), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[12]), NULL, CHECKIT, ~(1<<12), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[13]), NULL, CHECKIT, ~(1<<13), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[14]), NULL, CHECKIT, ~(1<<14), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[15]), NULL, CHECKIT, ~(1<<15), NULL},
   { NM_ITEM, NM_BARLABEL,          NULL, 0, 0, NULL},
   { NM_ITEM, "Coastline",          NULL, 0, 0, NULL},
   {  IM_SUB, (UBYTE *)(&color_image[0]), NULL, CHECKIT, ~(1<<0), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[1]), NULL, CHECKIT, ~(1<<1), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[2]), NULL, CHECKIT, ~(1<<2), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[3]), NULL, CHECKIT, ~(1<<3), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[4]), NULL, CHECKIT, ~(1<<4), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[5]), NULL, CHECKIT, ~(1<<5), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[6]), NULL, CHECKIT, ~(1<<6), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[7]), NULL, CHECKIT, ~(1<<7), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[8]), NULL, CHECKIT, ~(1<<8), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[9]), NULL, CHECKIT, ~(1<<9), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[10]), NULL, CHECKIT, ~(1<<10), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[11]), NULL, CHECKIT, ~(1<<11), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[12]), NULL, CHECKIT, ~(1<<12), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[13]), NULL, CHECKIT, ~(1<<13), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[14]), NULL, CHECKIT, ~(1<<14), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[15]), NULL, CHECKIT, ~(1<<15), NULL},
   { NM_ITEM, "Islands",            NULL, 0, 0, NULL},
   {  IM_SUB, (UBYTE *)(&color_image[0]), NULL, CHECKIT, ~(1<<0), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[1]), NULL, CHECKIT, ~(1<<1), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[2]), NULL, CHECKIT, ~(1<<2), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[3]), NULL, CHECKIT, ~(1<<3), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[4]), NULL, CHECKIT, ~(1<<4), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[5]), NULL, CHECKIT, ~(1<<5), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[6]), NULL, CHECKIT, ~(1<<6), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[7]), NULL, CHECKIT, ~(1<<7), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[8]), NULL, CHECKIT, ~(1<<8), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[9]), NULL, CHECKIT, ~(1<<9), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[10]), NULL, CHECKIT, ~(1<<10), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[11]), NULL, CHECKIT, ~(1<<11), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[12]), NULL, CHECKIT, ~(1<<12), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[13]), NULL, CHECKIT, ~(1<<13), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[14]), NULL, CHECKIT, ~(1<<14), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[15]), NULL, CHECKIT, ~(1<<15), NULL},
   { NM_ITEM, "Countries",          NULL, 0, 0, NULL},
   {  IM_SUB, (UBYTE *)(&color_image[0]), NULL, CHECKIT, ~(1<<0), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[1]), NULL, CHECKIT, ~(1<<1), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[2]), NULL, CHECKIT, ~(1<<2), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[3]), NULL, CHECKIT, ~(1<<3), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[4]), NULL, CHECKIT, ~(1<<4), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[5]), NULL, CHECKIT, ~(1<<5), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[6]), NULL, CHECKIT, ~(1<<6), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[7]), NULL, CHECKIT, ~(1<<7), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[8]), NULL, CHECKIT, ~(1<<8), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[9]), NULL, CHECKIT, ~(1<<9), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[10]), NULL, CHECKIT, ~(1<<10), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[11]), NULL, CHECKIT, ~(1<<11), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[12]), NULL, CHECKIT, ~(1<<12), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[13]), NULL, CHECKIT, ~(1<<13), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[14]), NULL, CHECKIT, ~(1<<14), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[15]), NULL, CHECKIT, ~(1<<15), NULL},
   { NM_ITEM, "States",             NULL, 0, 0, NULL},
   {  IM_SUB, (UBYTE *)(&color_image[0]), NULL, CHECKIT, ~(1<<0), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[1]), NULL, CHECKIT, ~(1<<1), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[2]), NULL, CHECKIT, ~(1<<2), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[3]), NULL, CHECKIT, ~(1<<3), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[4]), NULL, CHECKIT, ~(1<<4), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[5]), NULL, CHECKIT, ~(1<<5), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[6]), NULL, CHECKIT, ~(1<<6), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[7]), NULL, CHECKIT, ~(1<<7), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[8]), NULL, CHECKIT, ~(1<<8), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[9]), NULL, CHECKIT, ~(1<<9), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[10]), NULL, CHECKIT, ~(1<<10), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[11]), NULL, CHECKIT, ~(1<<11), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[12]), NULL, CHECKIT, ~(1<<12), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[13]), NULL, CHECKIT, ~(1<<13), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[14]), NULL, CHECKIT, ~(1<<14), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[15]), NULL, CHECKIT, ~(1<<15), NULL},
   { NM_ITEM, "Lakes",              NULL, 0, 0, NULL},
   {  IM_SUB, (UBYTE *)(&color_image[0]), NULL, CHECKIT, ~(1<<0), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[1]), NULL, CHECKIT, ~(1<<1), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[2]), NULL, CHECKIT, ~(1<<2), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[3]), NULL, CHECKIT, ~(1<<3), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[4]), NULL, CHECKIT, ~(1<<4), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[5]), NULL, CHECKIT, ~(1<<5), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[6]), NULL, CHECKIT, ~(1<<6), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[7]), NULL, CHECKIT, ~(1<<7), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[8]), NULL, CHECKIT, ~(1<<8), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[9]), NULL, CHECKIT, ~(1<<9), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[10]), NULL, CHECKIT, ~(1<<10), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[11]), NULL, CHECKIT, ~(1<<11), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[12]), NULL, CHECKIT, ~(1<<12), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[13]), NULL, CHECKIT, ~(1<<13), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[14]), NULL, CHECKIT, ~(1<<14), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[15]), NULL, CHECKIT, ~(1<<15), NULL},
   { NM_ITEM, "Rivers",             NULL, 0, 0, NULL},
   {  IM_SUB, (UBYTE *)(&color_image[0]), NULL, CHECKIT, ~(1<<0), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[1]), NULL, CHECKIT, ~(1<<1), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[2]), NULL, CHECKIT, ~(1<<2), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[3]), NULL, CHECKIT, ~(1<<3), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[4]), NULL, CHECKIT, ~(1<<4), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[5]), NULL, CHECKIT, ~(1<<5), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[6]), NULL, CHECKIT, ~(1<<6), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[7]), NULL, CHECKIT, ~(1<<7), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[8]), NULL, CHECKIT, ~(1<<8), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[9]), NULL, CHECKIT, ~(1<<9), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[10]), NULL, CHECKIT, ~(1<<10), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[11]), NULL, CHECKIT, ~(1<<11), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[12]), NULL, CHECKIT, ~(1<<12), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[13]), NULL, CHECKIT, ~(1<<13), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[14]), NULL, CHECKIT, ~(1<<14), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[15]), NULL, CHECKIT, ~(1<<15), NULL},
   { NM_ITEM, NM_BARLABEL,          NULL, 0, 0, NULL},
   { NM_ITEM, "Grid",               NULL, 0, 0, NULL},
   {  IM_SUB, (UBYTE *)(&color_image[0]), NULL, CHECKIT, ~(1<<0), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[1]), NULL, CHECKIT, ~(1<<1), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[2]), NULL, CHECKIT, ~(1<<2), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[3]), NULL, CHECKIT, ~(1<<3), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[4]), NULL, CHECKIT, ~(1<<4), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[5]), NULL, CHECKIT, ~(1<<5), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[6]), NULL, CHECKIT, ~(1<<6), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[7]), NULL, CHECKIT, ~(1<<7), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[8]), NULL, CHECKIT, ~(1<<8), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[9]), NULL, CHECKIT, ~(1<<9), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[10]), NULL, CHECKIT, ~(1<<10), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[11]), NULL, CHECKIT, ~(1<<11), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[12]), NULL, CHECKIT, ~(1<<12), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[13]), NULL, CHECKIT, ~(1<<13), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[14]), NULL, CHECKIT, ~(1<<14), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[15]), NULL, CHECKIT, ~(1<<15), NULL},
   { NM_ITEM, "Grid highlight",     NULL, 0, 0, NULL},
   {  IM_SUB, (UBYTE *)(&color_image[0]), NULL, CHECKIT, ~(1<<0), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[1]), NULL, CHECKIT, ~(1<<1), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[2]), NULL, CHECKIT, ~(1<<2), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[3]), NULL, CHECKIT, ~(1<<3), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[4]), NULL, CHECKIT, ~(1<<4), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[5]), NULL, CHECKIT, ~(1<<5), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[6]), NULL, CHECKIT, ~(1<<6), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[7]), NULL, CHECKIT, ~(1<<7), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[8]), NULL, CHECKIT, ~(1<<8), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[9]), NULL, CHECKIT, ~(1<<9), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[10]), NULL, CHECKIT, ~(1<<10), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[11]), NULL, CHECKIT, ~(1<<11), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[12]), NULL, CHECKIT, ~(1<<12), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[13]), NULL, CHECKIT, ~(1<<13), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[14]), NULL, CHECKIT, ~(1<<14), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[15]), NULL, CHECKIT, ~(1<<15), NULL},
   { NM_ITEM, "Shadow",             NULL, 0, 0, NULL},
   {  IM_SUB, (UBYTE *)(&color_image[0]), NULL, CHECKIT, ~(1<<0), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[1]), NULL, CHECKIT, ~(1<<1), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[2]), NULL, CHECKIT, ~(1<<2), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[3]), NULL, CHECKIT, ~(1<<3), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[4]), NULL, CHECKIT, ~(1<<4), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[5]), NULL, CHECKIT, ~(1<<5), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[6]), NULL, CHECKIT, ~(1<<6), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[7]), NULL, CHECKIT, ~(1<<7), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[8]), NULL, CHECKIT, ~(1<<8), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[9]), NULL, CHECKIT, ~(1<<9), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[10]), NULL, CHECKIT, ~(1<<10), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[11]), NULL, CHECKIT, ~(1<<11), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[12]), NULL, CHECKIT, ~(1<<12), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[13]), NULL, CHECKIT, ~(1<<13), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[14]), NULL, CHECKIT, ~(1<<14), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[15]), NULL, CHECKIT, ~(1<<15), NULL},
   { NM_ITEM, NM_BARLABEL,          NULL, 0, 0, NULL},
   { NM_ITEM, "Line",               NULL, 0, 0, NULL},
   {  IM_SUB, (UBYTE *)(&color_image[0]), NULL, CHECKIT, ~(1<<0), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[1]), NULL, CHECKIT, ~(1<<1), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[2]), NULL, CHECKIT, ~(1<<2), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[3]), NULL, CHECKIT, ~(1<<3), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[4]), NULL, CHECKIT, ~(1<<4), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[5]), NULL, CHECKIT, ~(1<<5), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[6]), NULL, CHECKIT, ~(1<<6), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[7]), NULL, CHECKIT, ~(1<<7), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[8]), NULL, CHECKIT, ~(1<<8), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[9]), NULL, CHECKIT, ~(1<<9), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[10]), NULL, CHECKIT, ~(1<<10), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[11]), NULL, CHECKIT, ~(1<<11), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[12]), NULL, CHECKIT, ~(1<<12), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[13]), NULL, CHECKIT, ~(1<<13), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[14]), NULL, CHECKIT, ~(1<<14), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[15]), NULL, CHECKIT, ~(1<<15), NULL},
   { NM_ITEM, "Box",                NULL, 0, 0, NULL},
   {  IM_SUB, (UBYTE *)(&color_image[0]), NULL, CHECKIT, ~(1<<0), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[1]), NULL, CHECKIT, ~(1<<1), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[2]), NULL, CHECKIT, ~(1<<2), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[3]), NULL, CHECKIT, ~(1<<3), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[4]), NULL, CHECKIT, ~(1<<4), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[5]), NULL, CHECKIT, ~(1<<5), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[6]), NULL, CHECKIT, ~(1<<6), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[7]), NULL, CHECKIT, ~(1<<7), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[8]), NULL, CHECKIT, ~(1<<8), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[9]), NULL, CHECKIT, ~(1<<9), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[10]), NULL, CHECKIT, ~(1<<10), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[11]), NULL, CHECKIT, ~(1<<11), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[12]), NULL, CHECKIT, ~(1<<12), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[13]), NULL, CHECKIT, ~(1<<13), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[14]), NULL, CHECKIT, ~(1<<14), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[15]), NULL, CHECKIT, ~(1<<15), NULL},
   { NM_ITEM, "Text",               NULL, 0, 0, NULL},
   {  IM_SUB, (UBYTE *)(&color_image[0]), NULL, CHECKIT, ~(1<<0), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[1]), NULL, CHECKIT, ~(1<<1), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[2]), NULL, CHECKIT, ~(1<<2), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[3]), NULL, CHECKIT, ~(1<<3), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[4]), NULL, CHECKIT, ~(1<<4), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[5]), NULL, CHECKIT, ~(1<<5), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[6]), NULL, CHECKIT, ~(1<<6), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[7]), NULL, CHECKIT, ~(1<<7), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[8]), NULL, CHECKIT, ~(1<<8), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[9]), NULL, CHECKIT, ~(1<<9), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[10]), NULL, CHECKIT, ~(1<<10), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[11]), NULL, CHECKIT, ~(1<<11), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[12]), NULL, CHECKIT, ~(1<<12), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[13]), NULL, CHECKIT, ~(1<<13), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[14]), NULL, CHECKIT, ~(1<<14), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[15]), NULL, CHECKIT, ~(1<<15), NULL},
   { NM_ITEM, "Flood fill",         NULL, 0, 0, NULL},
   {  IM_SUB, (UBYTE *)(&color_image[0]), NULL, CHECKIT, ~(1<<0), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[1]), NULL, CHECKIT, ~(1<<1), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[2]), NULL, CHECKIT, ~(1<<2), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[3]), NULL, CHECKIT, ~(1<<3), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[4]), NULL, CHECKIT, ~(1<<4), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[5]), NULL, CHECKIT, ~(1<<5), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[6]), NULL, CHECKIT, ~(1<<6), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[7]), NULL, CHECKIT, ~(1<<7), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[8]), NULL, CHECKIT, ~(1<<8), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[9]), NULL, CHECKIT, ~(1<<9), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[10]), NULL, CHECKIT, ~(1<<10), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[11]), NULL, CHECKIT, ~(1<<11), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[12]), NULL, CHECKIT, ~(1<<12), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[13]), NULL, CHECKIT, ~(1<<13), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[14]), NULL, CHECKIT, ~(1<<14), NULL},
   {  IM_SUB, (UBYTE *)(&color_image[15]), NULL, CHECKIT, ~(1<<15), NULL},
   {NM_TITLE, "Maps",               NULL, 0, 0, NULL},
   { NM_ITEM, "Plane",              NULL, 0, 0, NULL},
   {  NM_SUB, "Flat",               "F",  0, 0, NULL},
   {  NM_SUB, "Mercator",           "M",  0, 0, NULL},
   { NM_ITEM, "Box",                NULL, NM_ITEMDISABLED, 0, NULL},
   {  NM_SUB, "Select box1",        "B",  0, 0, NULL},
   {  NM_SUB, "Select box2",        NULL, 0, 0, NULL},
   {  NM_SUB, NM_BARLABEL,          NULL, 0, 0, NULL},
   {  NM_SUB, "Zoom in",            NULL, 0, 0, NULL},
   {  NM_SUB, "Zoom out",           NULL, 0, 0, NULL},
   { NM_ITEM, "Sphere",             NULL, 0, 0, NULL},
   {  NM_SUB, "Globe",              "G",  0, 0, NULL},
   {  NM_SUB, "Orbital",            "O",  0, 0, NULL},
   {  NM_SUB, NM_BARLABEL,          NULL, 0, 0, NULL},
   {  NM_SUB, "Zoom in",            NULL, NM_ITEMDISABLED, 0, NULL},
   {  NM_SUB, "Zoom out",           NULL, NM_ITEMDISABLED, 0, NULL},
   { NM_ITEM, NM_BARLABEL,          NULL, 0, 0, NULL},
   { NM_ITEM, "Redraw",             "R",  NM_ITEMDISABLED, 0, NULL},
   {NM_TITLE, "Edit",               NULL, 0, 0, NULL},
   { NM_ITEM, "Clear screen",       NULL, 0, 0, NULL},
   { NM_ITEM, "Fill oceans",        NULL, 0, 0, NULL},
   { NM_ITEM, "Grid",               NULL, 0, 0, NULL},
   { NM_ITEM, "Shadow",             NULL, 0, 0, NULL},
   { NM_ITEM, "Toggle title",       "T",  0, 0, NULL},
   { NM_ITEM, NM_BARLABEL,          NULL, 0, 0, NULL},
   { NM_ITEM, "Draw line",          NULL, 0, 0, NULL},
   { NM_ITEM, "Draw box",           NULL, 0, 0, NULL},
   { NM_ITEM, "Draw filled box",    NULL, 0, 0, NULL},
   { NM_ITEM, "Text",               NULL, 0, 0, NULL},
   { NM_ITEM, "Flood fill",         NULL, 0, 0, NULL},

   {NM_END, NULL, NULL, 0, 0, NULL}
};

